Bug 13433 - 655 display in XSLT
Summary: 655 display in XSLT
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Winona Salesky
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 10344 15047
  Show dependency treegraph
 
Reported: 2014-12-10 21:26 UTC by Nicole C. Engard
Modified: 2017-06-14 22:10 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
655 display in XSLT (2.94 KB, patch)
2015-03-16 01:20 UTC, Winona Salesky
Details | Diff | Splinter Review
Bug 13433 - 655 display in XSLT (7.51 KB, patch)
2015-04-16 01:20 UTC, Winona Salesky
Details | Diff | Splinter Review
[SIGNED OFF] Added 655 display to OPAC and staff full views. (3.02 KB, patch)
2015-04-16 19:23 UTC, Nick Clemens
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13433 - 655 display in XSLT (7.55 KB, patch)
2015-04-16 19:23 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 13433 - Added 655 display to OPAC and staff full views. (3.08 KB, patch)
2015-04-17 17:28 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13433 - 655 display in XSLT (7.61 KB, patch)
2015-04-17 17:28 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2014-12-10 21:26:05 UTC
655: Display as Genre/Form (full display): Display corresponding subfields a, v, x, y, z. This change would bring Koha’s display in line with the now codified practice of separating about-ness (subject headings) from is-ness (genre/form headings). 

If you're interested, for more info on that, see: http://www.loc.gov/catdir/cpso/genre_form_faq.pdf
Comment 1 Winona Salesky 2015-03-11 03:13:48 UTC
Any preferred location in the record for this display? My instinct is to place it either next to or below "Material Type"
-Winona


(In reply to Nicole C. Engard from comment #0)
> 655: Display as Genre/Form (full display): Display corresponding subfields
> a, v, x, y, z. This change would bring Koha’s display in line with the now
> codified practice of separating about-ness (subject headings) from is-ness
> (genre/form headings). 
> 
> If you're interested, for more info on that, see:
> http://www.loc.gov/catdir/cpso/genre_form_faq.pdf
Comment 2 rgravel 2015-03-12 14:49:23 UTC
I'm not exactly sure where "Material type" is landing now, however, I will note that Genre/Form headings are closely related to "Subject(s)," and so I think they should be displayed near them. I had originally contemplated them following "Subject(s)" but am open to other suggestions!

Thanks so much, Winona!
Comment 3 Winona Salesky 2015-03-14 17:31:43 UTC
Thanks, I will have them following Subjects.
-Winona

(In reply to rgravel from comment #2)
> I'm not exactly sure where "Material type" is landing now, however, I will
> note that Genre/Form headings are closely related to "Subject(s)," and so I
> think they should be displayed near them. I had originally contemplated them
> following "Subject(s)" but am open to other suggestions!
> 
> Thanks so much, Winona!
Comment 4 Winona Salesky 2015-03-16 01:20:12 UTC Comment hidden (obsolete)
Comment 5 Winona Salesky 2015-03-19 16:49:44 UTC
Test Plan:
1) Apply this patch
2) Ensure you are using the default XSLT setting for the staff and opac search results and record details
3) Find or create a record with MARC tags 655
4) Perform an opac search that would show the record in the search results
5) Note this patch adds field 655 to display. Displays subfields a,v,x,y,z. uses a vertical bar to separate multiple titles. Vertical bar is wrapped in span class="separator" for easy suppression/customization of separator.
6) Repeat steps 4 and 5 for the staff interface
Comment 6 Nick Clemens 2015-04-08 21:57:42 UTC
Looks good in terms of displaying the correct fields, but two issues:

1 - 655 are now showing in both the Subject and Genre/Form Sections, they should only show as Genre/Form 

2 - When displaying as Genre/Form the headings are not linked for searching, I think they should still be clickable.  This is just my opinion though, willing to concede ts one.

(In reply to Winona Salesky from comment #5)
> Test Plan:
> 1) Apply this patch
> 2) Ensure you are using the default XSLT setting for the staff and opac
> search results and record details
> 3) Find or create a record with MARC tags 655
> 4) Perform an opac search that would show the record in the search results
> 5) Note this patch adds field 655 to display. Displays subfields a,v,x,y,z.
> uses a vertical bar to separate multiple titles. Vertical bar is wrapped in
> span class="separator" for easy suppression/customization of separator.
> 6) Repeat steps 4 and 5 for the staff interface
Comment 7 Winona Salesky 2015-04-09 15:20:30 UTC
Thanks Nick, 
I will take a look and fix these two issues. 
-Winona

(In reply to Nick Clemens from comment #6)
> Looks good in terms of displaying the correct fields, but two issues:
> 
> 1 - 655 are now showing in both the Subject and Genre/Form Sections, they
> should only show as Genre/Form 
> 
> 2 - When displaying as Genre/Form the headings are not linked for searching,
> I think they should still be clickable.  This is just my opinion though,
> willing to concede ts one.
> 
> (In reply to Winona Salesky from comment #5)
> > Test Plan:
> > 1) Apply this patch
> > 2) Ensure you are using the default XSLT setting for the staff and opac
> > search results and record details
> > 3) Find or create a record with MARC tags 655
> > 4) Perform an opac search that would show the record in the search results
> > 5) Note this patch adds field 655 to display. Displays subfields a,v,x,y,z.
> > uses a vertical bar to separate multiple titles. Vertical bar is wrapped in
> > span class="separator" for easy suppression/customization of separator.
> > 6) Repeat steps 4 and 5 for the staff interface
Comment 8 Winona Salesky 2015-04-16 01:20:55 UTC Comment hidden (obsolete)
Comment 9 rgravel 2015-04-16 16:54:39 UTC
Ideally, they should behave like subject headings and be clickable, too. 

(In reply to Nick Clemens from comment #6)

> 2 - When displaying as Genre/Form the headings are not linked for searching,
> I think they should still be clickable.  This is just my opinion though,
> willing to concede ts one.
Comment 10 Nick Clemens 2015-04-16 19:23:43 UTC Comment hidden (obsolete)
Comment 11 Nick Clemens 2015-04-16 19:23:52 UTC Comment hidden (obsolete)
Comment 12 Kyle M Hall 2015-04-17 17:28:19 UTC
Created attachment 38102 [details] [review]
[PASSED QA] Bug 13433 - Added 655 display to OPAC and staff full views.

This patch field 655 to the full displays in the staff and OPAC views. Multiple 655 fields are separated with a span class=separator | .

To test:

* Search the opac for records with genre/field 655
* Click the title
* Make sure the fields display properly
* Repeat for a few more titles
* Repeat in the Staff Client

http://bugs.koha-community.org/show_bug.cgi?id=13433
Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 13 Kyle M Hall 2015-04-17 17:28:27 UTC
Created attachment 38103 [details] [review]
[PASSED QA] Bug 13433 - 655 display in XSLT

Test Plan:
1) Apply this patch
2) Ensure you are using the default XSLT setting for the staff and opac  record details
3) Find or create a record with MARC tags 655
4) Perform an opac search and select records with 655 field that would show the record in the search results
5) Note this patch adds field 655 to display. Displays subfields a,v,x,y,z. uses a vertical bar to separate multiple titles. Vertical bar is wrapped in span class="separator" for easy suppression/customization of separator.
6) Repeat steps 4 and 5 for the staff interface

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 14 Tomás Cohen Arazi 2015-04-20 15:07:04 UTC
Patch pushed to master.

Thanks Winona!